> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-8/v8-0/v8-0-1.md).

# Version 8.0.1 Changelog (2021-08-17)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### Fixes

* Fixed issue with an attempt to request the content type when passing in a non-URL source document
* Fixed issue with iOS 14 WKWebView not able to load office documents
* Fixed issue where text on hidden layers was still able to be selected
* Fixed issue where sticky note annotations were not correctly rotated on rotated pages if an override canvas was passed into `annotationManager.drawAnnotations`
* Fixed issue where DocumentViewer's `enableViewportRenderMode` and `disableViewportRenderMode` functions were not callable
* Fixed issue where on particular files the underline tool would add a line to the top of the text
* Fixed issue with a particular file where it was not able to be downloaded
* Fixed unnecessary warning that was displayed when the full API was enabled
* Fixed issue with resizing ellipse area measurement annotations that could cause the size to become undefined
* Fixed an issue where in rare cases it was possible for particular annotations to not draw their appearance correctly
* Fixed errors that could happen when using the `PDFNetappendTextDiff` APIs
* Fixed issue with text jumping inside a freetext annotation when editing text near the edge of the page
* Fixed issue with pages getting stuck when loading XOD from a blob
* Fixed issue where the wrong checkbox value could be shown on refresh
* Fixed issue where setting the default font style on the freetext tool could throw an error if a unit wasn't passed
* Fixed issue where importing and adding signatures in a particular way could cause errors

## WebViewer UI

### Fixes

* Fixed issue where text was not able to be selected in a comment on the notes panel
* Fixed issue where a measurement tool was incorrectly enabled when go in and out of form builder mode
* Fixed an issue with printing text fields with the comb flag
* Fixed issue where the UI could hang indefinitely when a malformed or non-retrievable URL is passed in to `instance.UI.VerificationOptions.addTrustedCertificates`
* Fixed issue where sometimes the displayed individual associated with the digital signature was not specific enough
* Fixed issue where documents with a percentage sign in the name were not able to be loaded


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-8/v8-0/v8-0-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
